pca.pdbs {bio3d} | R Documentation

## Principal Component Analysis

### Description

Performs principal components analysis (PCA) on an ensemble of PDB structures.

### Usage

    ## S3 method for class 'pdbs'
    pca(pdbs, core.find = FALSE, fit = FALSE, ...)

### Arguments

`pdbs` | an object of class `pdbs` as obtained from function `pdbaln` or `read.fasta.pdb`.
`core.find` | logical, if TRUE core.find() function will be called to find core positions and coordinates of PDB structures will be fitted based on cores.
`fit` | logical, if TRUE coordinates of PDB structures will be fitted based on all CA atoms.
`...` | additional arguments passed to the method `pca.xyz`.

### Details

The function `pca.pdbs` is a wrapper for the function `pca.xyz`, wherein more details of the PCA procedure are documented.

### Value

Returns a list with the following components:

`L` | eigenvalues.
`U` | eigenvectors (i.e. the variable loadings).
`z.u` | scores of the supplied `data` on the pcs.
`sdev` | the standard deviations of the pcs.
`mean` | the means that were subtracted.

### Author(s)

Barry Grant, Lars Skjaerven and Xin-Qiu Yao

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`pca`, `pca.xyz`, `pdbaln`, `nma`.

### Examples

    attach(transducin)

    #-- Do PCA ignoring gap containing positions
    pc.xray <- pca(pdbs)

    # Plot results (conformer plots & scree plot)
    plot(pc.xray, col=annotation[, "color"])

    detach(transducin)

[Package bio3d version 2.3-4 Index]